# The SoundCloud API Wrapper for Cocoa

__Supported Versions__

The SoundCloud API Wrapper supports iOS from Version 3.0 and MacOS X from Leopard (10.5). It uses SoundClouds [OAuth2](http://oauth.net/2) API and henceforth includes the [NXOAuth2Client](http://github.com/nxtbgthng/OAuth2Client) project.

__Getting Started__

* If you want to add sound sharing to your iOS app, start by taking a look at the [iOS Sharing Kit](https://github.com/soundcloud/CocoaSoundCloudAPI).

For more customized integrations, use the full API wrapper:

* How to [integrate the SoundCloud API Wrapper into your Project](https://github.com/soundcloud/cocoa-api-wrapper/blob/master/Setup.md).
* How to [use the SoundCloud API Wrapper](https://github.com/soundcloud/cocoa-api-wrapper/blob/master/Usage.md).
* How to [share your Audio using SoundCloud](https://github.com/soundcloud/cocoa-api-wrapper/blob/master/Sharing.md).

__Additional Documentation and Support__

* The [SoundCloud API Documentation](http://developers.soundcloud.com/docs). You'll need this.
* The [SoundCloud API Discussion Group](http://groups.google.com/group/soundcloudapi).
* If you're looking for additional documentation on this wrapper have a look at the [wiki](http://wiki.github.com/soundcloud/cocoa-api-wrapper/) where you'll find the documentation for [version 1](http://github.com/soundcloud/cocoa-api-wrapper/tree/v1.0).

__Important Note__

Please keep in mind that all of this is under heavy development, and things might change from time to time. Please update your frameworks often, and keep this space in mind.

We document the changes to the different versions. If you've used a previous version, please read it.

But most important: Have fun building great apps!

Your friends at SoundCloud.
